Saltar al contenido principal
4 min de lectura

GET /analytics/:websiteId/technology

Retrieve a breakdown of visitor technology including device types, browsers, and operating systems. Each category includes counts and percentage distribution.

GET/api/external/v1/analytics/:websiteId/technology

Get device, browser, and OS breakdown

Authentication

AuthenticationBash
curl -X GET 'https://api.zenovay.com/api/external/v1/analytics/a1b2c3d4-e5f6-7890-abcd-ef1234567890/technology?range=7d' \
-H 'X-API-Key: YOUR_API_KEY'

Parameters

NameTypeRequiredDefaultDescription
websiteIdstring (path)Yes-The UUID of the website
rangestring (query)No7dTime range: 24h, 7d, 30d, 90d, 1y

Response

Response (200 OK)JSON
{
"success": true,
"data": {
  "devices": [
    { "name": "desktop", "count": 7234, "percentage": 57.69 },
    { "name": "mobile", "count": 4521, "percentage": 36.05 },
    { "name": "tablet", "count": 785, "percentage": 6.26 }
  ],
  "browsers": [
    { "name": "Chrome", "count": 6543, "percentage": 52.18 },
    { "name": "Safari", "count": 3421, "percentage": 27.29 },
    { "name": "Firefox", "count": 1234, "percentage": 9.84 },
    { "name": "Edge", "count": 892, "percentage": 7.11 },
    { "name": "Other", "count": 450, "percentage": 3.59 }
  ],
  "operating_systems": [
    { "name": "Windows", "count": 4521, "percentage": 36.05 },
    { "name": "macOS", "count": 3234, "percentage": 25.79 },
    { "name": "iOS", "count": 2876, "percentage": 22.93 },
    { "name": "Android", "count": 1645, "percentage": 13.12 },
    { "name": "Linux", "count": 264, "percentage": 2.11 }
  ],
  "total_visitors": 12540
},
"timestamp": "2026-02-07T12:00:00.000Z"
}

Response Fields

FieldTypeDescription
devicesarrayDevice type breakdown
browsersarrayBrowser breakdown
operating_systemsarrayOS breakdown
total_visitorsnumberTotal visitor count in the time range
[].namestringName of the device/browser/OS
[].countnumberNumber of visitors
[].percentagenumberPercentage of total visitors (0-100)

TypeScript Interface

TechnologyResponseTypeScript
interface TechStat {
name: string;
count: number;
percentage: number;
}

interface TechnologyResponse {
success: true;
data: {
  devices: TechStat[];
  browsers: TechStat[];
  operating_systems: TechStat[];
  total_visitors: number;
};
timestamp: string;
}

HTTP Status Codes

Status CodeDescription
200Success
400Bad Request - Invalid parameters
401Unauthorized - Invalid or missing API key
403Forbidden - API key does not have access to this website
404Not Found - Website not found
429Too Many Requests - Rate limit exceeded
500Internal Server Error

Code Examples

cURLBash
curl -X GET 'https://api.zenovay.com/api/external/v1/analytics/a1b2c3d4-e5f6-7890-abcd-ef1234567890/technology?range=7d' \
-H 'X-API-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json'

Error Handling

Error Response (500 Internal Server Error)JSON
{
"success": false,
"error": {
  "message": "Failed to fetch technology data",
  "code": "INTERNAL_ERROR",
  "timestamp": "2026-02-07T12:00:00.000Z"
}
}
¿Fue útil esta página?